"use client";

import { PublicOrganizationView } from "@core/Models/Company.model";
import { useOrgDataStore } from "@core/Store/OrganizationData.Store";
import { useEffect } from "react";

export type OrganizationDataProps = {
    orgData: PublicOrganizationView;
};

export default function OrganizationDataConnector({ orgData }: OrganizationDataProps) {
    const OrganizationData = useOrgDataStore();
    useEffect(() => {
        OrganizationData.setData(orgData);
    }, [orgData]);
    return <></>;
}
